/*
 * |-----------------------------------------------------------------------|
 * |                                                                       |
 * |   Copyright Cadence Design Systems, Inc. 1985, 1988.                  |
 * |     All Rights Reserved.       Licensed Software.                     |
 * |                                                                       |
 * |                                                                       |
 * | THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF CADENCE DESIGN SYSTEMS |
 * | The copyright notice above does not evidence any actual or intended   |
 * | publication of such source code.                                      |
 * |                                                                       |
 * |-----------------------------------------------------------------------|
 */

/*
 * |-------------------------------------------------------------|
 * |                                                             |
 * | PROPRIETARY INFORMATION, PROPERTY OF CADENCE DESIGN SYSTEMS |
 * |                                                             |
 * |-------------------------------------------------------------|
 */

#include <stdarg.h>
#include "vpi_user.h"
#ifdef XL
#include "vpi_user_cds.h"
#endif

extern void pli_calc_init_register();
extern void pli_calc_input_register();
extern void pli_calc_clear_register();
extern void pli_display_led_register();

void (*vlog_startup_routines[
#ifdef XL
VPI_MAXARRAY
#endif
])() =
{
  pli_calc_init_register,
  pli_calc_input_register,
  pli_calc_clear_register,
  pli_display_led_register,
  0 /*** final entry must be 0 ***/
};

