#include "plidef.h"
extern s_acc_value push,plus,minus,equal,ce,rst;
extern int ledl,ledh,sign,overflow;
int locked=0,counter=0;
#define SEG_OUT_0 0x3f
#define SEG_OUT_1 0x06
#define SEG_OUT_2 0x5b
#define SEG_OUT_3 0x4f
#define SEG_OUT_4 0x66
#define SEG_OUT_5 0x6d
#define SEG_OUT_6 0x7d
#define SEG_OUT_7 0x27
#define SEG_OUT_8 0x7f
#define SEG_OUT_9 0x6f
#define SEG_OUT_ERR 0x39
int seg[10]={SEG_OUT_0,SEG_OUT_1,SEG_OUT_2,SEG_OUT_3,SEG_OUT_4,SEG_OUT_5,SEG_OUT_6,
	     SEG_OUT_7,SEG_OUT_8,SEG_OUT_9};
void convertled(int val)
{
  int h;
  if(val<0){
    val=-val;
    sign=1;
  }
  ledl=seg[val%10];
  h=val-val%10;
  switch(h){
  case  0: 
    ledh=seg[0]; break;
  case 10: 
    ledh=seg[1]; break;
  case 20: 
    ledh=seg[2];break;
  case 30: 
    ledh=seg[3];break;
  case 40: 
    ledh=seg[4];break;
  case 50: 
    ledh=seg[5];break;
  case 60: 
    ledh=seg[6];break;
  case 70: 
    ledh=seg[7];break;
  case 80: 
    ledh=seg[8];break;
  case 90: 
    ledh=seg[9];break;
  }
}
int REGA,REGB;
int add_or_sub=0;
void calc_software(void)
{
  int i;
  if(rst.value.integer){
    add_or_sub=0;
    REGA=0;
    REGB=0;
    locked=0;
    counter=0;
    overflow=0;
    convertled(REGA);
  }else if(!locked){
      if(push.value.integer){
	if(counter==0){
	  REGA=0;
	}
	if(counter < 2){
	  for(i=0;i<10;i++){
	    if(push.value.integer&(1<<i)){
	      REGA=i+REGA*10;
	      break;
	    }
	  }
	  counter++;
	}
	convertled(REGA);
      }else if(plus.value.integer|minus.value.integer|equal.value.integer){
	counter=0;
	if(add_or_sub){
	  REGB=REGB-REGA;
	}else{
	  REGB=REGB+REGA;
	}
	if((REGB>99)||(REGB<-99)){
	  overflow=1;
		locked=1;
	}
	convertled(REGB);
	add_or_sub=plus.value.integer?0:(minus.value.integer?1:0);
    }else if(ce.value.integer){
      counter=0;
      REGA=0;
      convertled(REGA);
    }
  }
  push.value.integer=0;
  plus.value.integer=0;
  minus.value.integer=0;
  equal.value.integer=0;
  ce.value.integer=0;
  rst.value.integer=0;
}

